summaryrefslogtreecommitdiffstats
path: root/elchos/root-image/krebs/bin/tor_publish_ssh.ship
diff options
context:
space:
mode:
Diffstat (limited to 'elchos/root-image/krebs/bin/tor_publish_ssh.ship')
-rwxr-xr-xelchos/root-image/krebs/bin/tor_publish_ssh.ship12
1 files changed, 12 insertions, 0 deletions
diff --git a/elchos/root-image/krebs/bin/tor_publish_ssh.ship b/elchos/root-image/krebs/bin/tor_publish_ssh.ship
new file mode 100755
index 00000000..2ecee9fb
--- /dev/null
+++ b/elchos/root-image/krebs/bin/tor_publish_ssh.ship
@@ -0,0 +1,12 @@
+#!/usr/bin/env ship
+#@include core
+. /krebs/lib/core
+#@include network
+. /krebs/lib/network
+#@include tor
+. /krebs/lib/tor
+
+test -w "$torrc" || ( error "$torrc is not writable!"; exit 1 ) || exit 1
+
+configure_hidden_service
+cat $hidden_service_dir/hostname | send_irc